Skip to main content

Delivery Integration

4 API calls in this section.

Get Delivery Integration Settings

Restaurant Menu / Delivery Integration
GET/restaurant/delivery-integration
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/delivery-integration" \2  --header "Authorization: Bearer {{access_token}}"

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Upsert Delivery Integration Settings

Restaurant Menu / Delivery Integration
PUT/restaurant/delivery-integration
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request PUT "$ONDI_BASE_URL/restaurant/delivery-integration" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --data '{5  "mode": "external",6  "status": "draft",7  "external_base_url": "https://external-tenant-edge-url",8  "external_api_key": "od_xxx",9  "webhook_secret": null,10  "timeout_ms": 15000,11  "retries": 3,12  "default_delivery_service_id": "{{delivery_service_id}}"13}'
Request body
json
1{2  "mode": "external",3  "status": "draft",4  "external_base_url": "https://external-tenant-edge-url",5  "external_api_key": "od_xxx",6  "webhook_secret": null,7  "timeout_ms": 15000,8  "retries": 3,9  "default_delivery_service_id": "{{delivery_service_id}}"10}

Request body fields

modeExample
string

Example field from the request body.

statusExample
string

Example field from the request body.

external_base_urlExample
string

Example field from the request body.

external_api_keyExample
string

Example field from the request body.

webhook_secretExample
null

Example field from the request body.

timeout_msExample
number

Example field from the request body.

retriesExample
number

Example field from the request body.

default_delivery_service_idExample
string

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Test & Activate External Delivery Integration

Restaurant Menu / Delivery Integration
POST/restaurant/delivery-integration/test
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/restaurant/delivery-integration/test" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --data '{5  "mode": "external",6  "external_base_url": "https://external-tenant-edge-url",7  "external_api_key": "od_xxx",8  "default_delivery_service_id": "{{delivery_service_id}}",9  "timeout_ms": 15000,10  "retries": 311}'
Request body
json
1{2  "mode": "external",3  "external_base_url": "https://external-tenant-edge-url",4  "external_api_key": "od_xxx",5  "default_delivery_service_id": "{{delivery_service_id}}",6  "timeout_ms": 15000,7  "retries": 38}

Request body fields

modeExample
string

Example field from the request body.

external_base_urlExample
string

Example field from the request body.

external_api_keyExample
string

Example field from the request body.

default_delivery_service_idExample
string

Example field from the request body.

timeout_msExample
number

Example field from the request body.

retriesExample
number

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

List External Delivery Services (via Restaurant)

Restaurant Menu / Delivery Integration
GET/restaurant/delivery-integration/services?delivery_type_code=ondemand&active=true
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/delivery-integration/services?delivery_type_code=ondemand&active=true" \2  --header "Authorization: Bearer {{access_token}}"

Query parameters

delivery_type_codeOptional
query string

ondemand

activeOptional
query string

true

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.